# Placeholder (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.config

## Enum Placeholder

- java.lang.Object
- - java.lang.Enum<Placeholder>
  - - de.epiceric.shopchest.config.Placeholder

All Implemented Interfaces:
  Serializable, Comparable<Placeholder>

    public enum Placeholder
    extends Enum<Placeholder>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AMOUNT`
`BUY_PRICE`
`COMMAND`
`CREATION_PRICE`
`ENCHANTMENT`
`ERROR`
`EXTENDED`
`GENERATION`
`ITEM_NAME`
`LIMIT`
`MAX_PRICE`
`MAX_STACK`
`MIN_PRICE`
`MUSIC_TITLE`
`PLAYER`
`POTION_EFFECT`
`PROPERTY`
`REVENUE`
`SELL_PRICE`
`STOCK`
`VALUE`
`VENDOR`
`VERSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static Placeholder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Placeholder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VENDOR

    public static final Placeholder VENDOR

#### AMOUNT

    public static final Placeholder AMOUNT

#### ITEM_NAME

    public static final Placeholder ITEM_NAME

#### CREATION_PRICE

    public static final Placeholder CREATION_PRICE

#### ERROR

    public static final Placeholder ERROR

#### ENCHANTMENT

    public static final Placeholder ENCHANTMENT

#### MIN_PRICE

    public static final Placeholder MIN_PRICE

#### MAX_PRICE

    public static final Placeholder MAX_PRICE

#### VERSION

    public static final Placeholder VERSION

#### BUY_PRICE

    public static final Placeholder BUY_PRICE

#### SELL_PRICE

    public static final Placeholder SELL_PRICE

#### LIMIT

    public static final Placeholder LIMIT

#### PLAYER

    public static final Placeholder PLAYER

#### POTION_EFFECT

    public static final Placeholder POTION_EFFECT

#### MUSIC_TITLE

    public static final Placeholder MUSIC_TITLE

#### PROPERTY

    public static final Placeholder PROPERTY

#### VALUE

    public static final Placeholder VALUE

#### EXTENDED

    public static final Placeholder EXTENDED

#### REVENUE

    public static final Placeholder REVENUE

#### GENERATION

    public static final Placeholder GENERATION

#### STOCK

    public static final Placeholder STOCK

#### MAX_STACK

    public static final Placeholder MAX_STACK

#### COMMAND

    public static final Placeholder COMMAND

### Method Detail

#### values

    public static Placeholder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Placeholder c : Placeholder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Placeholder valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Placeholder>`